Package io.prestosql.jdbc

## Class RowField

- java.lang.Object
- - io.prestosql.jdbc.RowField

    public final class RowField
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`Optional<String>` `getName()`
`int` `getOrdinal()`
`Object` `getValue()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getOrdinal

    public int getOrdinal()

#### getName

    public Optional<String> getName()

#### getValue

    @Nullable
    public Object getValue()

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`